package com.example.afrishop_v3.repository;

import com.example.afrishop_v3.models.TbCfOrder;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.data.repository.query.Param;

import java.util.Date;
import java.util.List;

public interface TbCfOrderRepository extends PagingAndSortingRepository<TbCfOrder,String> {
    Page<TbCfOrder> findAllByUserId(String userId, Pageable pageable);
//    @Query(value = "select a from #{#entityName} a where :now >  DATE_SUB(a.orderTime,interval -1 day) and order_status=10")
//    List<TbCfOrder> getTimeoutOrders(@Param("now") Date date);

    List<TbCfOrder> findAllByOrderTimeLessThanAndOrderStatus(Date orderTime, Integer orderStatus);
}
